import * as selectors from '../redux/selectors';

export const getDestinationParams = (state) => ({
  type: selectors.typeSelector(state),
  name: selectors.nameSelector(state),
  visibility: selectors.visibilitySelector(state),
  defaultChannel: selectors.defaultChannelSelector(state),
  defaultChannelName: selectors.defaultChannelNameSelector(state),
  defaultPlaylist: selectors.defaultPlaylistSelector(state),
  defaultPlaylistName: selectors.defaultPlaylistNameSelector(state),
  title: selectors.titleSelector(state),
  description: selectors.descriptionSelector(state),
  thumbnail: selectors.thumbnailSelector(state),
  category: selectors.categorySelector(state),
  manualTags: selectors.manualTagsSelector(state),
  autoTags: selectors.autoTagsSelector(state),
  closedCaptions: selectors.closedCaptionsSelector(state),
  language: selectors.languageSelector(state),
  status: selectors.statusSelector(state),
  accessToken: selectors.accessTokenSelector(state),
  refreshToken: selectors.refreshTokenSelector(state),
  expiryDate: selectors.expiryDateSelector(state),
  publisherId: +selectors.publisherIdSelector(state),
  pageAccessToken: selectors.pageAccessTokenSelector(state),
});

export default {};
